%global momorel 1

Summary:     mdadm controls Linux md devices (software RAID arrays)
Name:        mdadm
Version:     2.4
Release:     %{momorel}m
%NoSource 0  http://www.kernel.org/pub/linux/utils/raid/mdadm/mdadm-%{version}.tar.bz2 3f82d45b8d2b08e3c6953d5808dc64ba
Source1:     mdmonitor.init
Source2:     mdmpd-0.4.tgz
Source3:     mdmpd.init
Source4:     mdassemble.8
Patch:	     mdadm-1.5.0-email.patch
Patch2:      mdadm-1.9.0-s390-build.patch
Patch3:      mdadm-1.9.0-static-make.patch
Patch4:      mdadm-1.11.0-default-auto.patch
Patch5:      mdadm-2.2-nodiet.patch
URL:         http://www.cse.unsw.edu.au/~neilb/source/mdadm/
License:     GPL
Group:       System Environment/Base
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
Obsoletes:   mdctl,raidtools
Requires:    smtpdaemon
PreReq:      chkconfig

%description 
mdadm is used to create, manage, and monitor Linux MD (software RAID)
devices.  As such, it provides similar functionality to the raidtools
package.  However, mdadm is a single program, and it can perform
almost all functions without a configuration file, though a configuration
file can be used to help with some common tasks.

%prep
%setup -q -a 2
%patch -p1 -b .email
%patch2 -p1 -b .s390
%patch3 -p1 -b .static
%patch4 -p1 -b .auto
%patch5 -p1 -b .nodiet

%build
make CXFLAGS="%{optflags}" SYSCONFDIR="%{_sysconfdir}" mdadm mdadm.static mdassemble.static
make CXFLAGS="%{optflags}" SYSCONFDIR="%{_sysconfdir}" -C mdmpd mdmpd

%install
make DESTDIR=%{buildroot} MANDIR=%{_mandir} BINDIR=/sbin install install.mdadmstatic install.mdassemble
make DESTDIR=%{buildroot} MANDIR=%{_mandir} BINDIR=/sbin -C mdmpd install
install -D -m755 %{SOURCE1} %{buildroot}/%{_initrddir}/mdmonitor
install -D -m755 %{SOURCE3} %{buildroot}/%{_initrddir}/mdmpd
install -D -m644 %{SOURCE4} %{buildroot}/%{_mandir}/man8/mdassemble.8

mkdir -p -m 700 %{buildroot}/var/run/mdmpd
mkdir -p -m 700 %{buildroot}/var/run/mdadm

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
/sbin/chkconfig --add mdmonitor
/sbin/chkconfig --add mdmpd

%preun
if [ "$1" = 0 ]; then
    service mdmonitor stop > /dev/null 2>&1 ||:
    /sbin/chkconfig --del mdmonitor
    if [ -e %{_initrddir}/mdmpd ]; then
        service mdmpd stop > /dev/null 2>&1 ||:
        /sbin/chkconfig --del mdmpd
    fi
fi

%postun
if [ "$1" -ge "1" ]; then
    service mdmonitor condrestart > /dev/null 2>&1
    if [ -e %{_initrddir}/mdmpd ]; then
        service mdmpd condrestart > /dev/null 2>&1
    fi
fi

%files
%defattr(-,root,root)
%doc ANNOUNCE-* TODO ChangeLog mdadm.conf-example COPYING misc/*
/sbin/*
%{_initrddir}/*
%{_mandir}/man*/md*
%attr(0700,root,root) %dir /var/run/mdmpd
%attr(0700,root,root) %dir /var/run/mdadm

%changelog
* Sat Apr 1 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.4-1m)
- version 2.4

* Sun Feb 12 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.3.1-1m)
- version 2.3.1

* Sat Jan  7 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2-1m)
- sync with fc-devel

* Tue Nov  8 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.0-2m)
- add gcc4 patch
- Patch1:      mdadm-1.6.0-gcc4.patch
- Patch2:      mdadm-1.6.0-gcc4-2.patch

* Sat Mar 12 2005 Toru Hoshina <t@momonga-linux.org>
- (1.6.0-1m)
- ver up. sync with FC3(1.6.0-2).

* Sat Feb 19 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.3.0-3m)
- revised docdir permission

* Mon Sep 20 2004 Shotaro Kamio <skamio@momonga-linux.org>
- add patch0 for kernel 2.6

* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3.0-2m)
- stop daemon

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (1.3.0-1m)
- import from FC1.

* Wed Sep 10 2003 Michael K. Johnson <johnsonm@redhat.com> 1.3.0-1
- sync upstream

* Tue Mar 11 2003 Michael K. Johnson <johnsonm@redhat.com> 1.1.0-1
- sync upstream

* Tue Jan 28 2003 Michael K. Johnson <johnsonm@redhat.com> 1.0.1-1
- update for rebuild

* Wed Dec 25 2002 Tim Powers <timp@redhat.com> 1.0.0-8
- fix references to %%install in the changelog so that it will build

* Fri Dec 13 2002 Elliot Lee <sopwith@redhat.com> 1.0.0-7
- Rebuild

* Fri Jul 12 2002 Michael K. Johnson <johnsonm@redhat.com>
- Changed RPM Group to System Environment/Base

* Wed May 15 2002 Michael K. Johnson <johnsonm@redhat.com>
- minor cleanups to the text, conditionalize rm -rf
- added mdmonitor init script

* Fri May 10 2002  <neilb@cse.unsw.edu.au>
- update to 1.0.0
- Set CXFLAGS instead of CFLAGS

* Sat Apr  6 2002  <neilb@cse.unsw.edu.au>
- change %%install to use "make install"

* Fri Mar 15 2002  <gleblanc@localhost.localdomain>
- beautification
- made mdadm.conf non-replaceable config
- renamed Copyright to License in the header
- added missing license file
- used macros for file paths

* Fri Mar 15 2002 Luca Berra <bluca@comedia.it>
- Added Obsoletes: mdctl
- missingok for configfile

* Wed Mar 12 2002 NeilBrown <neilb@cse.unsw.edu.au>
- Add md.4 and mdadm.conf.5 man pages

* Fri Mar 08 2002		Chris Siebenmann <cks@cquest.utoronto.ca>
- builds properly as non-root.

* Fri Mar 08 2002 Derek Vadala <derek@cynicism.com>
- updated for 0.7, fixed /usr/share/doc and added manpage

* Tue Aug 07 2001 Danilo Godec <danci@agenda.si>
- initial RPM build
